
ERR_FL_FMT_VER_NEW = 1
ERR_PROG_VER_NEW = 2
ERR_OTHER = 3
class LoadError(Exception):
    REASONS = [
        "NONE",
        "[File Format Version Too New]",
        "[File Saved With Newer Version]",
        "[UNKNOWN]"]
    def __init__(self, reason, fName, msg):
        self.reason = reason
        self.fName = fName
        self.msg = msg
    def StrNoFName(self):
        reason = self.REASONS[
            self.reason if self.reason < len(self.REASONS) else ERR_OTHER]
        return "%s: %s" % (reason, self.msg)
    def __str__(self):
        reason = self.REASONS[
            self.reason if self.reason < len(self.REASONS) else ERR_OTHER]
        return "%s: %s\n  File: %s" % (reason, self.msg, self.fName)