from Base_S_DSA import *

log = None

@initFunc(__name__.replace("ProgramIt.", ""))
def init(progLog):
    global log
    log = progLog
class ProgHMC_S_DSA(BaseProg_S_DSA):
    XM_partName = "Unknown"
    mfgPartName = "HMC101*"
    mfgName = Hittite
    lsbVal = .5
    nBits = 4
    binTitleFmt = "P%u"
    invBits = True

@partClass("XM-A5D6-0604")
class ProgXM_A5D6(ProgHMC_S_DSA):
    XM_partName = "XM-A5D6-0604"
    mfgPartName = "HMC1018ALP4E"
    lsbVal = 1.
    nBits = 5
    wordSz = 6
@partClass("XM-A5D7-0604")
class ProgXM_A5D7(ProgHMC_S_DSA):
    XM_partName = "XM-A5D7-0604"
    mfgPartName = "HMC1019ALP4E"
    lsbVal = .5
    nBits = 5
    wordSz = 6
HMC62X_BinTitles = ["D%u" % c for c in xrange(6)][::-1]
@partClass("XM-HMC629A-0604")
class ProgXM_HMC629A(ProgHMC_S_DSA):
    XM_partName = "XM-HMC629A-0604"
    mfgPartName = "HMC629A"
    lsbVal = 3.
    nBits = 4
    binTitleFmt = "D%u"
@partClass("XM-HMC624A-0604")
class ProgXM_HMC624A(ProgHMC_S_DSA):
    XM_partName = "XM-HMC624A-0604"
    mfgPartName = "HMC624A"
    lsbVal = .5
    nBits = 6
    binTitleFmt = "D%u"
@partClass("XM-A661-0604")
class ProgXM_A661(ProgHMC_S_DSA):
    XM_partName = "XM-A661-0604"
    mfgPartName = "HMC305S"
    lsbVal = .5
    nBits = 5
    lsbFirst = True
    @classmethod
    def binTitleFmt(cls, c): return "C%.6g" % (cls.lsbVal * (1 << c))
@partClass("XM-HMC542B-0604")
class ProgXM_HMC542B(ProgHMC_S_DSA):
    XM_partName = "XM-HMC542B-0604"
    mfgPartName = "HMC542B"
    lsbVal = .5
    nBits = 6
    @classmethod
    def binTitleFmt(cls, c): return "C%.6g" % (cls.lsbVal * (1 << c))
@partClass("XM-HMC1119-0604")
class ProgXM_HMC1119(ProgHMC_S_DSA):
    XM_partName = "XM-HMC1119-0604"
    mfgPartName = "HMC1119"
    lsbVal = .25
    nBits = 7
    invBits = False
    binTitleFmt = "D%u"
@partClass("XM-HMC1122-0604")
class ProgXM_HMC1122(ProgHMC_S_DSA):
    XM_partName = "XM-HMC1122-0604"
    mfgPartName = "HMC1122"
    lsbVal = .5
    nBits = 6
    binTitleFmt = "D%u"
@partClass("XM-HMC792A-0604")
class ProgXM_HMC792A(ProgHMC_S_DSA):
    XM_partName = "XM-HMC792A-0604"
    mfgPartName = "HMC792A"
    lsbVal = .25
    nBits = 6
    binTitleFmt = "D%u"
@partClass("XM-HMC1095-0604")
class ProgXM_HMC1095(ProgHMC_S_DSA):
    XM_partName = "XM-HMC1095-0604"
    mfgPartName = "HMC1095"
    lsbVal = .5
    nBits = 6
    binTitleFmt = "D%u"
@partClass("XM-HMC759-0604")
class ProgXM_HMC759(ProgHMC_S_DSA):
    XM_partName = "XM-HMC759-0604"
    mfgPartName = "HMC759"
    lsbVal = .25
    nBits = 7
    binTitleFmt = "D%u"
@partClass("XM-HMC629-0604")
class ProgXM_HMC629(ProgHMC_S_DSA):
    XM_partName = "XM-HMC629-0604"
    mfgPartName = "HMC629"
    lsbVal = 3.
    nBits = 4
    binTitleFmt = "D%u"
@partClass("XM-HMC_C018-0604")
class ProgXM_HMC_C018(ProgHMC_S_DSA):
    XM_partName = "XM-HMC_C018-0604"
    mfgPartName = "HMC-C018"
    lsbVal = 0.5
    nBits = 6
    lsbFirst = True
    @classmethod
    def binTitleFmt(cls, c): return "C%.6g" % (cls.lsbVal * (1 << c))
@partClass("XM-B1C5-0604")
class ProgXM_B1C5(BaseProg_S_DSA):
    XM_partName = "XM-B1C5-0604"
    mfgPartName = "ADRF5730"
    mfgName = "Analog Devices"
    lsbVal = 0.5
    lsbFirst = False
    invBits = False
    nBits = 6
    wordSz = 8
    allowChain = True
@partClass("XM-B2J3-0804")
class ProgXM_B2J3(ProgXM_B1C5):
    XM_partName = "XM-B2J3-0804"
@partClass("XM-B1M3-0604")
class ProgXM_B1M3(BaseProg_S_DSA):
    XM_partName = "XM-B1M3-0604"
    mfgPartName = "ADRF5720"
    mfgName = "Analog Devices"
    lsbVal = 0.5
    lsbFirst = False
    invBits = False
    nBits = 6
    wordSz = 8
    allowChain = True