class BaseScreen(object):
    smallXM_Logo = False
    showing = False

    def getName(self):
        return "UNNAMED SCREEN"

    def build(self, app, ext_data=None):
        self.showing = True

    def hide(self, app):
        self.showing = False

    def getHelp(self, app):
        pass


class BaseScreenUSB(BaseScreen):
    smallXM_Logo = False
    showing = False

    def addUsbDrive(self, app):
        pass

    def remUsbDrive(self, app, drvInfo):
        pass


class ScreenStorage(object):
    __slots__ = ["screens", "curScreenId", "cbExitCurScrn"]
    def __init__(self, screens):
        """
        :param list[BaseScreen] screens:
        """
        self.screens = screens
        self.curScreenId = 0
        self.cbExitCurScrn = None