from BaseAnySwitch import *

log = None

@initFunc(__name__.replace("ProgramIt.", ""))
def init(progLog):
    # noinspection PyGlobalUndefined
    global log
    log = progLog

class ProgMASWXXXXXX(BaseSwitch):
    mfgPartName = "MASW-******"
    mfgName = "MACOM"
@partClass("XM-A351-0604")
class ProgXM_MASW008322(ProgMASWXXXXXX):
    XM_partName = "XM-A351-0604"
    mfgPartName = "MASW-008322"
    nThrow = 2
    nPins = 2
    swLbls = ["RF2  On", "RF1  On"]
    txtTable = ["V1", "V2"]
    optMaps = {0:[0, 1], 1:[1, 0]}
    boardImageName = images.baseImg+"0233H_Cropped.png"
@partClass("XM-A3M8-0404")
class ProgXM_A3M8(ProgMASWXXXXXX):
    XM_partName = "XM-A3M8-0404"
    mfgPartName = "MASW-011036"
    nThrow = 2
    nPins = 2
    swLbls = ["RF2 On", "RF1 On"]
    txtTable = ["Bias 1", "Bias 2"]
    optMaps = {0:[1, 0], 1:[0, 1]}
@partClass("XM-A747-0409")
class ProgXM_A747(ProgMASWXXXXXX):
    XM_partName = "XM-A747-0409"
    mfgPartName = "MASW-011098"
    nThrow = 2
    nPins = 2
    swLbls = ["RF2 On", "RF1 On"]
    txtTable = ["Bias 1", "Bias 2"]
    optMaps = {0:[1, 0], 1:[0, 1]}

@partClass("XM-A726-0419")
class ProgXM_A726(ProgMASWXXXXXX):
    XM_partName = "XM-A726-0419"
    mfgPartName = "MASW-004103-1365"
    nThrow = 4
    nPins = 2
    swLbls = ["COM-P1", "COM-P2", "COM-P3", "COM-P4"]
    txtTable = ["E1", "E0"]
    optMaps = {0:[0, 0], 1:[0, 1], 2:[1, 0], 3:[1, 1]}